curl --request POST \
--url https://api.yertle.com/orgs/{org_id}/nodes/search \
--header 'Content-Type: application/json' \
--data '
{
"tags": {},
"tag_match_mode": "all",
"directories": [
"<string>"
],
"recursive_directories": false,
"created_by": "<string>",
"min_children": 123,
"max_children": 123,
"min_parents": 123,
"max_parents": 123,
"min_descendants": 123,
"max_descendants": 123,
"min_ancestors": 123,
"max_ancestors": 123,
"title_contains": "<string>",
"limit": 50,
"offset": 0
}
'import requests
url = "https://api.yertle.com/orgs/{org_id}/nodes/search"
payload = {
"tags": {},
"tag_match_mode": "all",
"directories": ["<string>"],
"recursive_directories": False,
"created_by": "<string>",
"min_children": 123,
"max_children": 123,
"min_parents": 123,
"max_parents": 123,
"min_descendants": 123,
"max_descendants": 123,
"min_ancestors": 123,
"max_ancestors": 123,
"title_contains": "<string>",
"limit": 50,
"offset": 0
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
tags: {},
tag_match_mode: 'all',
directories: ['<string>'],
recursive_directories: false,
created_by: '<string>',
min_children: 123,
max_children: 123,
min_parents: 123,
max_parents: 123,
min_descendants: 123,
max_descendants: 123,
min_ancestors: 123,
max_ancestors: 123,
title_contains: '<string>',
limit: 50,
offset: 0
})
};
fetch('https://api.yertle.com/orgs/{org_id}/nodes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"org_id": "<string>",
"public_id": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_email": "<string>",
"tags": {},
"directories": [
"<string>"
],
"num_parents": 123,
"num_children": 123,
"num_descendants": 0,
"num_ancestors": 0
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Search Nodes
Search nodes with flexible filters.
Accepts a JSON body with optional filter fields: tags, directories, title_contains, created_by, min/max_children, min/max_parents, etc. All filters are AND-ed together. For tags, tag_match_mode controls whether all tags must match (“all”) or any tag (“any”).
Headers
Path Parameters
Body
Request model for unified node search with optional filters.
Tag key-value pairs to filter by
Show child attributes
Show child attributes
'all' requires every tag to match (AND), 'any' requires at least one (OR)
all, any Directory paths to filter by
Include subdirectories when filtering by directory
Filter by creator user ID
Minimum number of child nodes
Maximum number of child nodes
Minimum number of parent nodes
Maximum number of parent nodes
Minimum number of descendant nodes
Maximum number of descendant nodes
Minimum number of ancestor nodes
Maximum number of ancestor nodes
Case-insensitive title search
Maximum results to return
Number of results to skip